html {
  height: 100%;
  width: 100%;
  background-color: #000;
}
body {
  height: 100%;
  width: 100%;
  background-color: #000;
}
#carreFond {
  width: 1000px;
  height: 1000px;
  background-color: #282727;
  transform: rotate(45deg);
  position: absolute;
  border-right: 1.5px solid #ffff;
  top: 467px;
  left: -573px;
  z-index: 1;
  border-radius: 25px;
}
#col {
  width: 85%;
  position: absolute;
  top: 220px;
  left: 15%;
  font-size: 3em;
  animation: transitionTitre 3s;
}
#title-hero {
  font-weight: bold;
  margin-bottom: 0px;
  font-family: "Gill Sans", sans-serif;
  text-align: center;
  margin: 0;
}
#texte-hero {
  text-align: right;
  width: 71%;
  font-size: 35px;
  margin-left: 20%;
}
@keyframes transitionTitre {
  from {
    top: 400px;
    opacity: 0;
  }
  to {
    top: 220px;
    opacity: 1;
  }
}
@keyframes battementCoeur {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.025);
  }
  100% {
    transform: scale(1);
  }
}
#col1 {
  width: 40%;
  position: absolute;
  top: 762px;
  font-size: 3em;
  animation: transitionTitreBoxe 3s;
  z-index: 1;
}

@keyframes transitionTitreBoxe {
  from {
    top: 700px;
    opacity: 0;
  }
  to {
    top: 762px;
    opacity: 1;
  }
}

#texte-hero1 {
  font-weight: bold;
  padding-left: 25px;
  width: 100%;
  margin-top: 0;
  font-size: 30px;
}
#butonCategories {
  border-radius: 0.5rem;
  margin-top: 5%;
  padding: 2%;
  font-size: 2em;
  background-color: #444242;
  cursor: context-menu;
  color: white;
  cursor: pointer;
  position: absolute;
  text-align: centers;
  left: 470px;
  top: 1260px;
  z-index: 1;
}
#imageFondOnEstEnsemble {
  position: absolute;
  left: 655px;
  top: 871px;
  height: 250px;
  animation: battementCoeur infinite 2s;
}
#butonCategories:hover {
  border: 2px solid #fff;
  transform: scale(1.1);
}
header {
  width: 100%;
  height: 15%;
  position: fixed;
  top: 0;
  z-index: 2;
  background-color: #282727;
}

#suivant {
  display: inline-block;
  border-radius: 5px;
  color: white;
  width: 10%;
  height: 100%;
  background-color: #010299;
  text-align: center;
  float: right;
  margin-left: 2%;
  display: none;
}

#precedent {
  display: inline-block;
  border-radius: 5px;
  color: white;
  padding: 2%;
  margin-top: 10%;
  font-size: 50px;
  background-color: #444242;
  text-align: center;
  float: left;
}
/*-------------------------------------------------------------------------------------------------------*\
      Modal
\*-------------------------------------------------------------------------------------------------------*/

.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
}

img.avatar {
  width: 40%;
  border-radius: 20%;
  left: 50px;
}

.container {
  padding: 16px;
}

span.psw {
  float: right;
  padding-top: 16px;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
  padding-top: 10%;
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 1.5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  min-height: 84%;
  width: 90%; /* Could be more or less, depending on screen size */
}

/* The Close Button (x) */
.close {
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 50px;
  font-weight: bold;
  margin-top: 2%;
  margin-right: 2%;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}
.titre-modal-content {
  background-color: #010299;
  padding-top: 2%;
  padding-bottom: 2%;
  text-align: center;
  width: 100%;
  margin-top: 0;
  color: white;
}

.text-modal-content {
  font-weight: 100;
  padding-top: 0;
  padding-left: 4%;
  padding-right: 4%;
  font-size: 30px;
  text-align: justify;
}
/* Add Zoom Animation */
.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s;
}

@-webkit-keyframes animatezoom {
  from {
    -webkit-transform: scale(0);
  }
  to {
    -webkit-transform: scale(1);
  }
}

@keyframes animatezoom {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
    display: block;
    float: none;
  }
  .cancelbtn {
    width: 100%;
  }
}

#bgvid {
  border: 2px solid red;
  margin-top: -10%;
  margin-left: 0%;
  height: 180%;
  -webkit-filter: blur(20px);
  -moz-filter: blur(20px);
  -o-filter: blur(20px);
  -ms-filter: blur(20px);
  filter: blur(100px);
}
.contenu {
  width: 100%;
  height: 100%;
  position: fixed;
  overflow-y: scroll;
  z-index: 3;
  top: 0;
  left: 0;
  padding-top: 5%;
  color: #fff;
  background-color: rgb(47 47 47 / 80%);
  animation: marquee 0.24s linear;
}
